/**
 * Created by winber<winberxie@163.com>.
 * ComponentName Cell
 * Desc 组件描述内容
 * GroupName lm-component
 */
import React from 'react'
import PropTypes from 'prop-types'

import classNames from 'classnames';
import './index.scss';

export const CellsTitle = ({
                className,
                children,
                ...others
             }) => {

    const cls = classNames({
        'lm-cells-title': true,
    }, className);

    return (
        <div className={cls} {...others}>
            {children}
        </div>
    )

};

export const Cells = ({
                className,
                children,
                ...others
             }) => {

    const cls = classNames({
        'lm-cells': true,
    }, className);

    return (
        <div className={cls} {...others}>
            {children}
        </div>
    )

};

export const Label = ({
                className,
                children,
                ...others
             }) => {

    const cls = classNames({
        'lm-cell-label': true,
    }, className);

    return (
        <div className={cls} {...others}>
            {children}
        </div>
    )

};

export const Cell = ({
                className,
                children,
                ...others
             }) => {

    const cls = classNames({
        'lm-cells-item': true,
    }, className);

    return (
        <div className={cls} {...others}>
            {children}
        </div>
    )

};

export const CellHeader = ({
                icon,
                className,
                children,
                ...others
             }) => {

    const cls = classNames({
        'lm-cells-item-header': true,
    }, className);

    return (
        <div className={cls} {...others}>
            <img alt="" src={icon}/>
        </div>
    )

};

export const CellBody = ({
                className,
                children,
                ...others
             }) => {

    const cls = classNames({
        'lm-cells-item-body': true,
    }, className);

    return (
        <div className={cls} {...others}>
            {children}
        </div>
    )

};
export const CellFooter = ({
                className,
                children,
                direction,
                ...others
             }) => {

    const cls = classNames({
        'lm-cells-item-footer': true,
        [`lm-cells-item-icon-${direction}`]:direction
    }, className);

    return (
        <div className={cls} {...others}>
            {children}
        </div>
    )
};

CellFooter.PropTypes = {
    direction: PropTypes.string
};